<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class Fashion extends Translate
{
    protected string $typeKey = 'Fashion';

    public function getStructure(): array
    {
        return [
            'level' => 'int64',
            'color' => 'int32',
            'gender' => 'int32',
            'creator_type' => 'short',
            'name_length' => 'name_length',
            'name' => 'name',
            'color_mask' => 'int32',
        ];
    }

    public function getMinimumLength(): int
    {
        return 20;
    }
}